### Constructor

# Gtk.Frame.new

#### Declaration [src]

    GtkWidget*
    gtk_frame_new (
      const char* label
    )

#### Description [src]

Creates a new `GtkFrame`, with optional label `label`.

If `label` is `NULL`, the label is omitted.

#### Parameters

`label` | `const char*`
| the text to use as the label of the frame
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkWidget`
a new `GtkFrame` widget
Ownership is not transferred to the caller